ServerEvents.recipes(event => {
	event.remove({
		output: 'ars_nouveau:relay'
	});
	event.shaped('ars_nouveau:relay', [
		'IDI',
		'SBS',
		'I I'
	], {
		I: '#c:ingots/brass',
		S: '#c:plates/brass',
		D: 'powergrid:diode',
		B: 'ars_nouveau:source_gem_block'
	});
	event.remove({
		output: 'ars_nouveau:redstone_relay'
	});
	event.shaped('ars_nouveau:redstone_relay', [
		'IRI',
		'SBS',
		'IRI'
	], {
		I: '#c:ingots/brass',
		S: '#c:plates/brass',
		R: 'powergrid:redstone_relay',
		B: 'ars_nouveau:source_gem_block'
	});
	event.remove({
		output: 'ars_nouveau:source_jar'
	});
	event.shaped('ars_nouveau:source_jar', [
		'WWW',
		'BTB',
		'WWW'
	], {
		B: '#c:ingots/brass',
		W: 'ars_nouveau:archwood_slab',
		T: 'create:fluid_tank'
	});
	event.remove({
		output: 'ars_nouveau:mob_jar'
	});
	event.shaped('ars_nouveau:mob_jar', [
		'SBS',
		' J '
	], {
		B: '#c:ingots/brass',
		S: 'ars_nouveau:archwood_slab',
		J: '#create_factory:jars'
	});
	event.remove({
		output: 'ars_nouveau:basic_spell_turret'
	});
	event.shaped('ars_nouveau:basic_spell_turret', [
		'BRN',
		'GGT',
		'BPN'
	], {
		B: '#c:ingots/brass',
		N: '#c:nuggets/brass',
		G: 'ars_nouveau:source_gem',
		R: 'powergrid:redstone_relay',
		T: 'createarscompact:source_tube',
		P: 'create:precision_mechanism'
	});



	event.remove({
		output: 'createarscompact:source_engine'
	});
	event.shaped('createarscompact:source_engine', [
		'BEB',
		'GSG',
		'BSB'
	], {
		B: '#c:plates/brass',
		S: 'ars_nouveau:source_gem',
		G: 'powergrid:golden_wire',
		E: 'simulated:engine_assembly'
	});
	event.remove({
		output: 'ars_nouveau:volcanic_sourcelink'
	});
	event.shaped('ars_nouveau:volcanic_sourcelink', [
		' E ',
		'BTB',
		'GSG'
	], {
		B: '#c:ingots/brass',
		G: 'ars_nouveau:source_gem',
		S: 'createarscompact:source_engine',
		T: 'create:fluid_tank',
		E: 'createpropulsion:stirling_engine'
	});
	event.remove({
		output: 'ars_nouveau:alchemical_sourcelink'
	});
	event.shaped('ars_nouveau:alchemical_sourcelink', [
		'MJM',
		'BTB',
		'GSG'
	], {
		B: '#c:ingots/brass',
		G: 'ars_nouveau:source_gem',
		T: 'create:basin',
		S: 'createarscompact:source_engine',
		M: '#c:milk_bottle',
		J: 'ars_nouveau:potion_jar'
	});
	event.remove({
		output: 'ars_nouveau:vitalic_sourcelink'
	});
	event.shaped('ars_nouveau:vitalic_sourcelink', [
		' E ',
		'BTB',
		'GSG'
	], {
		B: '#c:ingots/brass',
		G: 'ars_nouveau:source_gem',
		E: 'create_enchantment_industry:experience_lantern',
		T: 'garnished:weeping_tangle',
		S: 'createarscompact:source_engine'
	});
	event.remove({
		output: 'ars_nouveau:agronomic_sourcelink'
	});
	event.shaped('ars_nouveau:agronomic_sourcelink', [
		'TET',
		'BTB',
		'GSG'
	], {
		B: '#c:ingots/brass',
		G: 'ars_nouveau:source_gem',
		E: 'powergrid:device_connector',
		T: 'powergrid:potato_battery',
		S: 'createarscompact:source_engine'
	});
	event.remove({
		output: 'ars_nouveau:mycelial_sourcelink'
	});
	event.shaped('ars_nouveau:mycelial_sourcelink', [
		'MCM',
		'BTB',
		'GSG'
	], {
		B: '#c:ingots/brass',
		G: 'ars_nouveau:source_gem',
		T: 'createdieselgenerators:bulk_fermenter',
		S: 'createarscompact:source_engine',
		M: 'minecraft:warped_fungus',
		C: 'farmersdelight:organic_compost'
	});



	event.remove({
		output: 'ars_nouveau:imbuement_chamber'
	});
	event.shaped('ars_nouveau:imbuement_chamber', [
		'WBW',
		'AEA',
		'WBW'
	], {
		W: 'ars_nouveau:archwood_slab',
		B: '#c:ingots/brass',
		A: 'garnished:amber_remnant',
		E: 'create:experience_nugget'
	});
	event.remove({
		output: 'ars_nouveau:enchanting_apparatus'
	});
	event.shaped('ars_nouveau:enchanting_apparatus', [
		'NSN',
		'BEB',
		'NSN'
	], {
		B: '#c:ingots/brass',
		N: '#c:nuggets/brass',
		S: 'ars_nouveau:sourcestone',
		E: 'create_enchantment_industry:enchanting_template'
	});
	event.remove({
		output: 'ars_nouveau:arcane_core'
	});
	event.shaped('ars_nouveau:arcane_core', [
		'BSB',
		'GEG',
		'BSB'
	], {
		B: '#c:ingots/brass',
		G: 'ars_nouveau:source_gem',
		S: 'ars_nouveau:sourcestone',
		E: 'create:experience_nugget'
	});



	event.remove({
		output: 'ars_nouveau:ring_of_potential'
	});
	event.shaped('ars_nouveau:ring_of_potential', [
		'WWW',
		'WGW',
		'WWW'
	], {
		G: 'ars_nouveau:source_gem',
		W: 'powergrid:iron_wire'
	});
	event.remove({
		output: 'ars_nouveau:source_gem'
	});
	event.recipes.ars_nouveau.imbuement(
        'garnished:amber_remnant', // input item
        'ars_nouveau:source_gem', // output
        500, // source cost
    );
  	event.recipes.create.cutting(
		'4x ars_nouveau:magebloom_fiber',
		'ars_nouveau:magebloom'
	);
  	event.recipes.create.mixing(
		'kubejs:doped_quartz', [
			Ingredient.of('#c:gems/quartz', 4),
			Ingredient.of('#c:nuggets/iron')
		]).superheated();
});


ServerEvents.tags('item', event => {
	event.add('c:milk_bottle', 'expandeddelight:goat_milk_bottle');
	event.add('c:milk_bottle', 'vegandelight:soymilk_bottle');
});